IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='TELE_ORC_PAG_TRANSFERENCIA') 
BEGIN
/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 20220614 
'Job.................:  
'Nome................: TELE_ORC_PAG_TRANSFERENCIA
'Projeto............:  Commerce 
'Tabelas.............: 
'Dt Criação..........: 
'Dt Ult Alteracão....: 14/06/2022
'Alterado por........: Marcos Barros
'Criado por..........:    
'=======================================================================================
FARMAGOI-24164
*/
CREATE TABLE TELE_ORC_PAG_TRANSFERENCIA(
  CD_ORC_PAG_TRANSFERENCIA int IDENTITY(1, 1) NOT NULL,
  CD_ORC_PAG int NOT NULL,
  NR_CONTA varchar(20) NOT NULL,
  NR_AGENCIA varchar(10) NOT NULL,
  CD_BANCO varchar(10) NOT NULL,
  CNPJ_ADQUIRENTE varchar(14) NULL,
  CONSTRAINT PK_TELE_ORC_PAG_TRANSFERENCIA PRIMARY KEY CLUSTERED(CD_ORC_PAG_TRANSFERENCIA ASC)
);

ALTER TABLE TELE_ORC_PAG_TRANSFERENCIA ADD CONSTRAINT FK_TELE_ORC_PAG_TRANSFERENCIA__TELE_ORC_PAG FOREIGN KEY(CD_ORC_PAG)
REFERENCES TELE_ORC_PAG(CD_ORC_PAG);
END